#nullable enable
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BaseState
{
    public virtual void EnterState() {}

    public virtual void LeaveState() {}

    public virtual BaseState? UpdateState() => null;

    public virtual BaseState? FixedUpdateState() => null;
    
    public virtual void OnDrawGizmos() {}

}
